<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('approval_hierarchies', function (Blueprint $table) {
            $table->tinyInteger('is_reverted')->default(0)->comment('1 = Reverted, 0 = Not Reverted');
        });
    }

    public function down(): void
    {
        Schema::table('approval_hierarchies', function (Blueprint $table) {
            $table->dropColumn('is_reverted');
        });
    }
};
